% Gauss-Jordan method
  A=[4 -1 1;1 6 2;-1 -2 5]; b=[4 9 2]'; S=[A,b]; [m,n]=size(S);
  for i=1:m
    [Max,j]=max(abs(S(:,i)));  % Localization of the maximum element of i-th column
    S([j i],:)=S([i j],:);     % Row exchange
    S(i,:)=S(i,:)/S(i,i);      % Division of the i-th row by the diagonal element
    for ii=[1:i-1,i+1:m]       % Elimination
      S(ii,:)=S(ii,:)-S(ii,i)*S(i,:);
    end
  end; x=S(:,4)